Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel.impl
Class JmsMessageFilterDocumentImpl.JmsMessageFilterImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.jboss.soa.esb.listeners.config.xbeanmodel.impl.JmsMessageFilterDocumentImpl.JmsMessageFilterImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource, JmsMessageFilterDocument.JmsMessageFilter

Enclosing class:
  JmsMessageFilterDocumentImpl

    public static class JmsMessageFilterDocumentImpl.JmsMessageFilterImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements JmsMessageFilterDocument.JmsMessageFilter

An XML jms-message-filter(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JmsMessageFilterDocumentImpl.JmsMessageFilterImpl.DestTypeImpl` An XML dest-type(@).

Nested classes/interfaces inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.JmsMessageFilterDocument.JmsMessageFilter
`JmsMessageFilterDocument.JmsMessageFilter.DestType, JmsMessageFilterDocument.JmsMessageFilter.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.jboss.soa.esb.listeners.config.xbeanmodel.JmsMessageFilterDocument.JmsMessageFilter
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`JmsMessageFilterDocumentImpl.JmsMessageFilterImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`java.lang.String` | `getAcknowledgeMode()` Gets the "acknowledge-mode" attribute
`java.lang.String` | `getDestName()` Gets the "dest-name" attribute
`JmsMessageFilterDocument.JmsMessageFilter.DestType.Enum` | `getDestType()` Gets the "dest-type" attribute
`java.lang.String` | `getJmsSecurityCredential()` Gets the "jms-security-credential" attribute
`java.lang.String` | `getJmsSecurityPrincipal()` Gets the "jms-security-principal" attribute
`boolean` | `getPersistent()` Gets the "persistent" attribute
`java.lang.String` | `getSelector()` Gets the "selector" attribute
`boolean` | `getTransacted()` Gets the "transacted" attribute
`boolean` | `isSetAcknowledgeMode()` True if has "acknowledge-mode" attribute
`boolean` | `isSetJmsSecurityCredential()` True if has "jms-security-credential" attribute
`boolean` | `isSetJmsSecurityPrincipal()` True if has "jms-security-principal" attribute
`boolean` | `isSetPersistent()` True if has "persistent" attribute
`boolean` | `isSetSelector()` True if has "selector" attribute
`boolean` | `isSetTransacted()` True if has "transacted" attribute
`void` | `setAcknowledgeMode(java.lang.String acknowledgeMode)` Sets the "acknowledge-mode" attribute
`void` | `setDestName(java.lang.String destName)` Sets the "dest-name" attribute
`void` | `setDestType(JmsMessageFilterDocument.JmsMessageFilter.DestType.Enum destType)` Sets the "dest-type" attribute
`void` | `setJmsSecurityCredential(java.lang.String jmsSecurityCredential)` Sets the "jms-security-credential" attribute
`void` | `setJmsSecurityPrincipal(java.lang.String jmsSecurityPrincipal)` Sets the "jms-security-principal" attribute
`void` | `setPersistent(boolean persistent)` Sets the "persistent" attribute
`void` | `setSelector(java.lang.String selector)` Sets the "selector" attribute
`void` | `setTransacted(boolean transacted)` Sets the "transacted" attribute
`void` | `unsetAcknowledgeMode()` Unsets the "acknowledge-mode" attribute
`void` | `unsetJmsSecurityCredential()` Unsets the "jms-security-credential" attribute
`void` | `unsetJmsSecurityPrincipal()` Unsets the "jms-security-principal" attribute
`void` | `unsetPersistent()` Unsets the "persistent" attribute
`void` | `unsetSelector()` Unsets the "selector" attribute
`void` | `unsetTransacted()` Unsets the "transacted" attribute
`org.apache.xmlbeans.XmlString` | `xgetAcknowledgeMode()` Gets (as xml) the "acknowledge-mode" attribute
`org.apache.xmlbeans.XmlString` | `xgetDestName()` Gets (as xml) the "dest-name" attribute
`JmsMessageFilterDocument.JmsMessageFilter.DestType` | `xgetDestType()` Gets (as xml) the "dest-type" attribute
`org.apache.xmlbeans.XmlString` | `xgetJmsSecurityCredential()` Gets (as xml) the "jms-security-credential" attribute
`org.apache.xmlbeans.XmlString` | `xgetJmsSecurityPrincipal()` Gets (as xml) the "jms-security-principal" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetPersistent()` Gets (as xml) the "persistent" attribute
`org.apache.xmlbeans.XmlString` | `xgetSelector()` Gets (as xml) the "selector" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetTransacted()` Gets (as xml) the "transacted" attribute
`void` | `xsetAcknowledgeMode(org.apache.xmlbeans.XmlString acknowledgeMode)` Sets (as xml) the "acknowledge-mode" attribute
`void` | `xsetDestName(org.apache.xmlbeans.XmlString destName)` Sets (as xml) the "dest-name" attribute
`void` | `xsetDestType(JmsMessageFilterDocument.JmsMessageFilter.DestType destType)` Sets (as xml) the "dest-type" attribute
`void` | `xsetJmsSecurityCredential(org.apache.xmlbeans.XmlString jmsSecurityCredential)` Sets (as xml) the "jms-security-credential" attribute
`void` | `xsetJmsSecurityPrincipal(org.apache.xmlbeans.XmlString jmsSecurityPrincipal)` Sets (as xml) the "jms-security-principal" attribute
`void` | `xsetPersistent(org.apache.xmlbeans.XmlBoolean persistent)` Sets (as xml) the "persistent" attribute
`void` | `xsetSelector(org.apache.xmlbeans.XmlString selector)` Sets (as xml) the "selector" attribute
`void` | `xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)` Sets (as xml) the "transacted" attribute

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### JmsMessageFilterDocumentImpl.JmsMessageFilterImpl

    public JmsMessageFilterDocumentImpl.JmsMessageFilterImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getDestName

    public java.lang.String getDestName()

  Gets the "dest-name" attribute

  Specified by:
    `getDestName` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xgetDestName

    public org.apache.xmlbeans.XmlString xgetDestName()

  Gets (as xml) the "dest-name" attribute

  Specified by:
    `xgetDestName` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### setDestName

    public void setDestName(java.lang.String destName)

  Sets the "dest-name" attribute

  Specified by:
    `setDestName` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xsetDestName

    public void xsetDestName(org.apache.xmlbeans.XmlString destName)

  Sets (as xml) the "dest-name" attribute

  Specified by:
    `xsetDestName` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### getDestType

    public JmsMessageFilterDocument.JmsMessageFilter.DestType.Enum getDestType()

  Gets the "dest-type" attribute

  Specified by:
    `getDestType` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xgetDestType

    public JmsMessageFilterDocument.JmsMessageFilter.DestType xgetDestType()

  Gets (as xml) the "dest-type" attribute

  Specified by:
    `xgetDestType` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### setDestType

    public void setDestType(JmsMessageFilterDocument.JmsMessageFilter.DestType.Enum destType)

  Sets the "dest-type" attribute

  Specified by:
    `setDestType` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xsetDestType

    public void xsetDestType(JmsMessageFilterDocument.JmsMessageFilter.DestType destType)

  Sets (as xml) the "dest-type" attribute

  Specified by:
    `xsetDestType` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### getSelector

    public java.lang.String getSelector()

  Gets the "selector" attribute

  Specified by:
    `getSelector` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xgetSelector

    public org.apache.xmlbeans.XmlString xgetSelector()

  Gets (as xml) the "selector" attribute

  Specified by:
    `xgetSelector` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### isSetSelector

    public boolean isSetSelector()

  True if has "selector" attribute

  Specified by:
    `isSetSelector` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### setSelector

    public void setSelector(java.lang.String selector)

  Sets the "selector" attribute

  Specified by:
    `setSelector` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xsetSelector

    public void xsetSelector(org.apache.xmlbeans.XmlString selector)

  Sets (as xml) the "selector" attribute

  Specified by:
    `xsetSelector` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### unsetSelector

    public void unsetSelector()

  Unsets the "selector" attribute

  Specified by:
    `unsetSelector` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### getPersistent

    public boolean getPersistent()

  Gets the "persistent" attribute

  Specified by:
    `getPersistent` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xgetPersistent

    public org.apache.xmlbeans.XmlBoolean xgetPersistent()

  Gets (as xml) the "persistent" attribute

  Specified by:
    `xgetPersistent` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### isSetPersistent

    public boolean isSetPersistent()

  True if has "persistent" attribute

  Specified by:
    `isSetPersistent` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### setPersistent

    public void setPersistent(boolean persistent)

  Sets the "persistent" attribute

  Specified by:
    `setPersistent` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xsetPersistent

    public void xsetPersistent(org.apache.xmlbeans.XmlBoolean persistent)

  Sets (as xml) the "persistent" attribute

  Specified by:
    `xsetPersistent` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### unsetPersistent

    public void unsetPersistent()

  Unsets the "persistent" attribute

  Specified by:
    `unsetPersistent` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### getAcknowledgeMode

    public java.lang.String getAcknowledgeMode()

  Gets the "acknowledge-mode" attribute

  Specified by:
    `getAcknowledgeMode` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xgetAcknowledgeMode

    public org.apache.xmlbeans.XmlString xgetAcknowledgeMode()

  Gets (as xml) the "acknowledge-mode" attribute

  Specified by:
    `xgetAcknowledgeMode` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### isSetAcknowledgeMode

    public boolean isSetAcknowledgeMode()

  True if has "acknowledge-mode" attribute

  Specified by:
    `isSetAcknowledgeMode` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### setAcknowledgeMode

    public void setAcknowledgeMode(java.lang.String acknowledgeMode)

  Sets the "acknowledge-mode" attribute

  Specified by:
    `setAcknowledgeMode` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xsetAcknowledgeMode

    public void xsetAcknowledgeMode(org.apache.xmlbeans.XmlString acknowledgeMode)

  Sets (as xml) the "acknowledge-mode" attribute

  Specified by:
    `xsetAcknowledgeMode` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### unsetAcknowledgeMode

    public void unsetAcknowledgeMode()

  Unsets the "acknowledge-mode" attribute

  Specified by:
    `unsetAcknowledgeMode` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### getJmsSecurityPrincipal

    public java.lang.String getJmsSecurityPrincipal()

  Gets the "jms-security-principal" attribute

  Specified by:
    `getJmsSecurityPrincipal` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xgetJmsSecurityPrincipal

    public org.apache.xmlbeans.XmlString xgetJmsSecurityPrincipal()

  Gets (as xml) the "jms-security-principal" attribute

  Specified by:
    `xgetJmsSecurityPrincipal` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### isSetJmsSecurityPrincipal

    public boolean isSetJmsSecurityPrincipal()

  True if has "jms-security-principal" attribute

  Specified by:
    `isSetJmsSecurityPrincipal` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### setJmsSecurityPrincipal

    public void setJmsSecurityPrincipal(java.lang.String jmsSecurityPrincipal)

  Sets the "jms-security-principal" attribute

  Specified by:
    `setJmsSecurityPrincipal` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xsetJmsSecurityPrincipal

    public void xsetJmsSecurityPrincipal(org.apache.xmlbeans.XmlString jmsSecurityPrincipal)

  Sets (as xml) the "jms-security-principal" attribute

  Specified by:
    `xsetJmsSecurityPrincipal` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### unsetJmsSecurityPrincipal

    public void unsetJmsSecurityPrincipal()

  Unsets the "jms-security-principal" attribute

  Specified by:
    `unsetJmsSecurityPrincipal` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### getJmsSecurityCredential

    public java.lang.String getJmsSecurityCredential()

  Gets the "jms-security-credential" attribute

  Specified by:
    `getJmsSecurityCredential` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xgetJmsSecurityCredential

    public org.apache.xmlbeans.XmlString xgetJmsSecurityCredential()

  Gets (as xml) the "jms-security-credential" attribute

  Specified by:
    `xgetJmsSecurityCredential` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### isSetJmsSecurityCredential

    public boolean isSetJmsSecurityCredential()

  True if has "jms-security-credential" attribute

  Specified by:
    `isSetJmsSecurityCredential` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### setJmsSecurityCredential

    public void setJmsSecurityCredential(java.lang.String jmsSecurityCredential)

  Sets the "jms-security-credential" attribute

  Specified by:
    `setJmsSecurityCredential` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xsetJmsSecurityCredential

    public void xsetJmsSecurityCredential(org.apache.xmlbeans.XmlString jmsSecurityCredential)

  Sets (as xml) the "jms-security-credential" attribute

  Specified by:
    `xsetJmsSecurityCredential` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### unsetJmsSecurityCredential

    public void unsetJmsSecurityCredential()

  Unsets the "jms-security-credential" attribute

  Specified by:
    `unsetJmsSecurityCredential` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### getTransacted

    public boolean getTransacted()

  Gets the "transacted" attribute

  Specified by:
    `getTransacted` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xgetTransacted

    public org.apache.xmlbeans.XmlBoolean xgetTransacted()

  Gets (as xml) the "transacted" attribute

  Specified by:
    `xgetTransacted` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### isSetTransacted

    public boolean isSetTransacted()

  True if has "transacted" attribute

  Specified by:
    `isSetTransacted` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### setTransacted

    public void setTransacted(boolean transacted)

  Sets the "transacted" attribute

  Specified by:
    `setTransacted` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### xsetTransacted

    public void xsetTransacted(org.apache.xmlbeans.XmlBoolean transacted)

  Sets (as xml) the "transacted" attribute

  Specified by:
    `xsetTransacted` in interface `JmsMessageFilterDocument.JmsMessageFilter`

### unsetTransacted

    public void unsetTransacted()

  Unsets the "transacted" attribute

  Specified by:
    `unsetTransacted` in interface `JmsMessageFilterDocument.JmsMessageFilter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD